You are not logged in.

#1 2021-08-04 12:57:04

artomason
Member
Registered: 2013-01-27
Posts: 19

Installing Pycharm using most current version of JRE-OPENJDK

I'm working on getting my Arch installation up and running, and was wondering if anyone knew how to install Pycharm from the repository without the outdated Java dependencies. Thanks!

llt% sudo pacman -S pycharm-community-edition
resolving dependencies...
looking for conflicting packages...

Packages (7) java-environment-common-3-3  java11-openjfx-11.0.10.u1-1  jdk11-openjdk-11.0.12.u7-1  jre11-openjdk-11.0.12.u7-1  jre11-openjdk-headless-11.0.12.u7-1  libdbusmenu-glib-16.04.0-4  pycharm-community-edition-2021.2-1

Total Installed Size:  943.12 MiB

:: Proceed with installation? [Y/n] 

Note that I already have the more current version installed:

llt% sudo pacman -Ss jre-openjdk
extra/jre-openjdk 16.0.2.u7-1 [installed]
    OpenJDK Java 16 full runtime environment
extra/jre-openjdk-headless 16.0.2.u7-1 [installed]
    OpenJDK Java 16 headless runtime environment

Offline

#2 2021-08-04 13:37:15

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 14,447

Re: Installing Pycharm using most current version of JRE-OPENJDK

Hard version dependencies are normally not done for fun: https://github.com/archlinux/svntogit-c … harm.sh#L3

If this isn't an issue with the new version anymore and you've verified it isn't (... by e.g. removing the linked readjustment of the path and testing these mentioned usecases) you can open  a bug report on bugs.archlinux.org requesting the limitation to be lifted.

To just install it without that limitation on your own accord and risk you can do a

sudo pacman -S pycharm-community-edition --assume-installed java11-openjfx,jdk11-openjdk,jre11-openjdk,jre11-openjdk-headless

Last edited by V1del (2021-08-04 13:38:44)

Online

#3 2021-10-04 18:21:15

FuzzySPb
Member
Registered: 2013-01-21
Posts: 30

Re: Installing Pycharm using most current version of JRE-OPENJDK

V1del, the reason is clear. But I noticed that PyCharm recommends to use its own bundled Java version. I'm not sure how good this idea is but some features doesn't work with java11 either (for example markup formatting preview stopped to work beginning of 2021 if I remember right...). I.e. I'm not sure which approach is better but probably there should be some flexibility with Java version choice (I remember some other packages proposed to select java package during installation).

Offline

#4 2021-10-04 21:07:22

twelveeighty
Member
From: Alberta, Canada
Registered: 2011-09-04
Posts: 849

Re: Installing Pycharm using most current version of JRE-OPENJDK

The version with the bundled JRE is in the AUR (https://aur.archlinux.org/packages/pych … unity-jre/). I can understand it if the [community] packagers do not want to use the bundled JRE, since it's arguably not the "Arch way" when a single package contains an entire JRE for just that package, while we have compatible JREs in the repo still. It's perfectly fine to have multiple JREs installed side-by-side on your system (i.e. 11 and 16). JRE 11 is supported until 2023.

If some features do not work with JRE 11, that's a different issue, though. What JRE version does JetBrains include in their bundled package?

Offline

#5 2021-10-05 09:50:20

FuzzySPb
Member
Registered: 2013-01-21
Posts: 30

Re: Installing Pycharm using most current version of JRE-OPENJDK

Here they say:

As a Java application, PyCharm includes JetBrains Runtime (based on OpenJDK 11), which is used by default. It is recommended to run PyCharm using JetBrains Runtime, which fixes various known OpenJDK and Oracle JDK bugs, and provides better performance and stability. However, in some cases you may be required to use another Java runtime or a specific version of JetBrains Runtime.

and provide a way how to Switch the Java runtime used to run PyCharm.
Taking this article into account I start to think that packaging PyCharm with bundled JRE mignt not be a violation of "Arch way".... But I'm not an expert in these matters.

Anyway, thanks for the link to AUR - I missed that this PyCharm package there.

Last edited by FuzzySPb (2021-10-05 09:51:10)

Offline

Board footer

Powered by FluxBB